|  | Home · All Classes · All Functions · Overviews

# Q3FilePreview Class Reference
[Qt3Support module]

The Q3FilePreview class provides file previewing in Q3FileDialog. More...

     #include <Q3FilePreview>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

- List of all members, including inherited members

## Public Functions

| Q3FilePreview ()
virtual | ~Q3FilePreview ()
virtual void | previewUrl ( const Q3Url & url ) = 0

## Detailed Description

The Q3FilePreview class provides file previewing in Q3FileDialog.

This class is an abstract base class which is used to implement widgets that can display a preview of a file in a Q3FileDialog.

You must derive the preview widget from both QWidget and from this class. Then you must reimplement this class's previewUrl() function, which is called by the file dialog if the preview of a file (specified as a URL) should be shown.

See also Q3FileDialog::setPreviewMode(), Q3FileDialog::setContentsPreview(), Q3FileDialog::setInfoPreview(), Q3FileDialog::setInfoPreviewEnabled(), Q3FileDialog::setContentsPreviewEnabled().

## Member Function Documentation

### Q3FilePreview::Q3FilePreview ()

Constructs the Q3FilePreview.

### Q3FilePreview::~Q3FilePreview () `[virtual]`

Destroys the file preview object.

### void Q3FilePreview::previewUrl ( const Q3Url & url ) `[pure virtual]`

This function is called by Q3FileDialog if a preview for the url should be shown. Reimplement this function to provide file previewing.